Subject: Re: [PATCH v2 8/8] Document future removal of sysctl_tcp_* options

From: Bill Fink <[email-masked]>
Date: Thu, 22 Oct 2009 00:32:45 -0400

On Wed, 21 Oct 2009, William Allen Simpson wrote:

> Gilad Ben-Yossef wrote:
> > I have no issue with leaving those, if everyone thinks we're better off.
> > 
> > BTW, while we're talking about OS envy, I do believe that Windows do let
> > you specify on a per route basis. Not that this is really a good ground for
> > technical decision, but still... :-)
> > 
> I'm not concerned with "envy", I'm concerned with training operators, and
> consistency across platforms.
> 
> I'm in favor of per route configuration, it seems reasonably clean, as
> long as it's done consistently with other systems.  I don't permit Windows
> systems to be used here (except under controlled security circumstances), so
> I'm not familiar with their configuration.  However, doing things similarly
> across platforms will ease documentation and training.

And as mentioned previously, the global options can be quite useful
in certain test scenarios.  I also agree the per route settings are
a very useful addition.  I think the global and per route settings
are complementary and shouldn't be thought of as in conflict with
one another.

						-Bill